Session replays

Save or unsave a session replay

POST/api/websites/{websiteId}/replays/saved/{replayId}

Adds a replay to the website's saved replays with an optional name, or removes it when isSaved is false.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
websiteIdrequiredstringID of the website.
replayIdrequiredstringID of the session replay.

Request body

NameTypeDescription
isSavedrequiredbooleanWhether the replay has been saved.
namestringDisplay name of the resource.
Example request

Responses

200The operation completed successfully.
NameTypeDescription
okrequiredbooleanWhether the operation succeeded.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL